PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zpocon_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_desc * | A,
|  | double | Anorm,
|  | double * | rcond
| ) |  |

PLASMA_zpocon_Tile - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Tile equivalent of PLASMA_zpocon(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | A | The N-by-N matrix A.
  [in] | Anorm | If norm = PlasmaOneNorm, the 1-norm of the original matrix A. If norm = PlasmaInfNorm, the infinity-norm of the original matrix A.
  [out] | rcond | The reciprocal of the condition number of the matrix A, computed as stated above.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_zpocon
  PLASMA_zpocon_Tile_Async
  PLASMA_cpocon_Tile
  PLASMA_dpocon_Tile
  PLASMA_spocon_Tile